QGIS Application - Bug report #16712

SLD export of categorized style fails if attribute name conflicts with a built-in function name

2017-06-14 05:12 PM - Andrea Aime

Status: Closed
Priority: Normal
Assignee: Andrea Aime
Category: Symbology

Affected QGIS version:2.18.9
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 24611

Description

A style build on an "Area" attribute will conflict with the built-in area function and the export won't contain a proper OGC filter for the

categories, but comments such as:

<!--Parser Error: syntax error, unexpected GT, expecting '(' - Expression was: Area > 500 AND Area <= 1000-->

A solution is to quote the attribute.

History

#1 - 2017-06-26 06:17 PM - Luigi Pirelli
- Resolution set to fixed/implemented

fixed by commit:6006359710f7f800cae3327420d1486954e2cf7a

#2 - 2017-06-27 05:27 AM - Nyall Dawson
- Status changed from Open to Closed
